Update function
curl --request PATCH \
--url https://flow.seekr.com/v1/functions/{function_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>'import requests
url = "https://flow.seekr.com/v1/functions/{function_id}"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://flow.seekr.com/v1/functions/{function_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"active": true,
"code": "<string>",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Functions
Update function
Update the code or metadata for an existing Python function.
PATCH
/
v1
/
functions
/
{function_id}
Update function
Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Headers
Path Parameters
Body
multipart/form-data
Response
Successful Response
Response model for a Python function, including code and user info.
Last modified on June 18, 2026
⌘I